QGIS Application - Bug report #13173
Segmentation fault during startup - libpoppler
2015-08-01 04:41 PM - Angelos Tzotsos

Status: Closed

Priority: High

Assignee:

Category: Build/Install

Affected QGIS version:2.10.1 Regression?: No
Operating System: openSUSE Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corruptsdata: Copied to github as #: 21236
Description

| am producing RPM packages for QGIS 2.10.1
During startup, | am getting a segmentation fault.

This is the debug info:
https://dpaste.de/cqcM
and the backtrace:
https://dpaste.de/P3jR

It seems to be related with poppler and gdal pdfdataset, but | am not sure why this PDFDoc::isLinearized(bool) is called during startup.
The crash happens when tips window opens.

QGIS 2.8.x packages are not affected by this issue (we keep separate Itr packages)

https://build.opensuse.org/package/show/Application:Geo/qgis
https://build.opensuse.org/package/show/Application:Geo/qgis-Itr

History

#1 - 2015-08-02 08:13 AM - Juirgen Fischer
- Status changed from Open to Feedback

Looks like a GDAL problem. Does gdalinfo also fail on the PDFs QGIS is trying to access?

#2 - 2015-08-02 12:05 PM - Angelos Tzotsos

The problem is that | have no idea what file is being opened/accessed. The crush happens on first QGIS startup.

Is QGIS initiallizing all GDAL drivers on startup?

#3 - 2015-08-02 01:00 PM - Jiirgen Fischer

Angelos Tzotsos wrote:

The problem is that | have no idea what file is being opened/accessed. The crush happens on first QGIS startup.
Is QGIS initiallizing all GDAL drivers on startup?
https://dpaste.de/cqcM
https://dpaste.de/P3jR
https://build.opensuse.org/package/show/Application:Geo/qgis
https://build.opensuse.org/package/show/Application:Geo/qgis-ltr

Try strace. Looks like it initializing the browser - so it might be scanning your home directory, favorites, last used directories...

#4 - 2015-08-05 04:37 PM - Angelos Tzotsos
- Status changed from Feedback to Closed

| could not replicate this issue on another machine.

Thanks for the feedback, | am closing it as invalid.
